cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumGameMode

- java.lang.Object
- - java.lang.Enum<WrappedEnumGameMode>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumGameMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumGameMode>

    public enum WrappedEnumGameMode
    extends java.lang.Enum<WrappedEnumGameMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADVENTURE`
`CREATIVE`
`NOT_SET`
`SPECTATOR`
`SURVIVAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `b()`
`boolean` `c()`
`boolean` `d()`
`boolean` `e()`
`static WrappedEnumGameMode` `fromObject(java.lang.Enum var)`
`static WrappedEnumGameMode` `getById(int var0)`
`static WrappedEnumGameMode` `getByName(java.lang.String name)`
`int` `getId()`
`java.lang.Object` `getObject()`
`java.lang.Object` `getObject(WrappedEnumGameMode gamemode)`
`static WrappedEnumGameMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumGameMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_SET

    public static final WrappedEnumGameMode NOT_SET

#### SURVIVAL

    public static final WrappedEnumGameMode SURVIVAL

#### CREATIVE

    public static final WrappedEnumGameMode CREATIVE

#### ADVENTURE

    public static final WrappedEnumGameMode ADVENTURE

#### SPECTATOR

    public static final WrappedEnumGameMode SPECTATOR

### Method Detail

#### values

    public static WrappedEnumGameMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumGameMode c : WrappedEnumGameMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumGameMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getId

    public int getId()

#### b

    public java.lang.String b()

#### c

    public boolean c()

#### d

    public boolean d()

#### e

    public boolean e()

#### getById

    public static WrappedEnumGameMode getById(int var0)

#### getByName

    public static WrappedEnumGameMode getByName(java.lang.String name)

#### getObject

    public java.lang.Object getObject(WrappedEnumGameMode gamemode)

#### getObject

    public java.lang.Object getObject()

#### fromObject

    public static WrappedEnumGameMode fromObject(java.lang.Enum var)